Subject: Re: bug#7716: 23.2.91; Pretest Windows binary doesn't support PNG images

From: Jason Rumney <[email-masked]>
Date: Thu, 30 Dec 2010 23:58:46 +0800

Eli Zaretskii <[email-masked]> writes:

> According to http://www.gtk.org/download-windows.html, they currently
> provide 1.4.3.  But I fail to see how this resolves the problem at
> hand, given the binary incompatibilities between 1.2.x and 1.4.x.

It seems to solve it perfectly well. The current binaries are compiled
against 1.4.x, so if GTK is providing a 1.4.x binary, we can tell users
to get it there. What's more, GTK has a single easy to use installer
that inserts registry entries that addpm.exe already detects and
configures Emacs to use GTK libraries if it finds them, vs GnuWin32's
separate installers for each library.

> Are you suggesting that we tell all Windows users to get libpng only
> from the GTK site?  What about all those who already have 1.2.x
> installed and will not even look into README.W32 when they install a
> newer binary?

Faced with a choice between 1.4 and an old 1.2 with known security
vulnerabilities, I know which one I'd rather recommend to users.